package com.njcn.gather.system.reg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.gather.system.reg.pojo.param.SysRegResParam;
import com.njcn.gather.system.reg.pojo.po.SysRegRes;
import com.njcn.gather.system.reg.pojo.vo.SysRegResVO;

import java.util.List;
import java.util.Map;

/**
 * @author caozehui
 * @date 2024-11-21
 */
public interface ISysRegResService extends IService<SysRegRes> {
    /**
     * 查询版本注册信息
     * @return
     */
    SysRegRes getRegResByType(String type);

    /**
     * 新增版本注册表
     * @param sysRegResParam 版本注册表参数
     * @return 成功返回true，失败返回false
     */
    boolean addRegRes(SysRegResParam sysRegResParam);

    /**
     * 修改配置
     * @param param
     * @return 成功返回true，失败返回false
     */
    boolean updateRegRes(SysRegResParam.UpdateParam param);

    /**
     * 查询版本注册表列表
     * @return 版本注册信息
     */
    SysRegResVO listRegRes();

    /**
     * 获取比对式的注册信息
     * @return
     */
    SysRegRes getContrastRegRes();
}
